View Profiles Import Detail by Import ID report

View Profiles Import Detail by Import ID report

GET https://api.ocamba.com/v1/hood/reports/profiles/import/{id}/full
Profiles Import Detail by Import ID report provides event-level data for individual profile import updates, including result codes and update timestamps.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/v1/hood/reports/profiles/import/{id}/full" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/v1/hood/reports/profiles/import/{id}/full';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v1/hood/reports/profiles/import/{id}/full");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

[
  {
    "event_date": "2026-04-28T00:00:00Z",
    "event_time": "2026-04-28 12:00:00",
    "profile_id": "1759319234567890987",
    "code": "SUCCESS",
    "update_time": "2026-04-28 12:00:05"
  }
]

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses